package org.openuri.dbOperations;

import java.util.List;
import java.util.Map;

import javax.inject.Inject;
import org.switchyard.component.bean.Reference;
import org.switchyard.component.bean.Service;


@Service(DBTestService.class)
public class DBTestServiceBean implements DBTestService{

	@SuppressWarnings("cdi-ambiguous-dependency")
	@Inject
	@Reference
	GreetingService dbOperations;
	
	@Override
	public void testDB(String action){
		System.out.println("In testDB operation with action: "+action);
		if(action.equalsIgnoreCase("SELECT")){
			  List<Map<String,Object>> selectList = dbOperations.retrieve();
			  Map<String,Object> selectMap = (Map<String,Object>)selectList.get(0);
			  System.out.println("Name: "+(String)selectMap.get("FIRSTNAME"));
			  
		}else if(action.equalsIgnoreCase("INSERT")){
			System.out.println("Before testing the Camel SQL binding insert");
			
			dbOperations.store(new SOTest("kostas","address3"));
			
			System.out.println("After testing the Camel SQL binding insert");
		}
	}
	
}


