package org.openuri.dbOperations;

import org.switchyard.annotations.Transformer;
import org.w3c.dom.Element;
import org.w3c.dom.NodeList;

public class MyTransformer {

	@Transformer(from = "{urn:org.openuri:dbOperations:0.0.1-SNAPSHOT}testDB")
	public String transformTestDBToString(Element from) {
		System.out.println("Input transformation");
	    return new String(getElementValue(from, "urn:string"));
	}
	 
	 private String getElementValue(Element parent, String elementName) {
		 System.out.println("In getElementValue");
	        String value = null;
	        NodeList nodes = parent.getElementsByTagName(elementName);
	        if (nodes.getLength() > 0) {
	            value = nodes.item(0).getChildNodes().item(0).getNodeValue();
	        }
	        return value;
	    }
	 

}
